import { h } from "@stencil/core";
export function NavigationMenuView(props) {
  const { states } = props;
  const { styles } = states;
  return states.includeDropdown ? (h("sl-dropdown", { style: "margin-bottom: var(--sl-spacing-large)" },
    h("sl-button", { slot: "trigger", caret: true, onClick: props.callbacks.rerender, exportparts: "base: dropdownbutton-base" }, styles.menuLabel),
    h("sl-menu", { ref: (r) => {
        if (props.ref.current === undefined) {
          props.ref.current = r;
          props.callbacks.rerender();
        }
      } },
      h("slot", null)))) : ("");
}
